import { defineConfig } from 'vitepress';

export default defineConfig({
  lang: 'en-US',
  title: 'Schlechtenburg',
  description: 'Experimental WYSIWYG editor framework made with Vue 3 and TypeScript',
  lastUpdated: true,

  themeConfig: {
    sidebar: [
      {
        text: 'User Guide',
        items: [
          { text: 'Introduction', link: '/' },
          { text: 'Try it out', link: '/try' },
          { text: 'Why Schlechtenburg?', link: '/why' },
          { text: 'Installation and usage', link: '/installation' },
        ]
      },
      {
        text: 'Creating Blocks',
        items: [
          { text: 'Basics', link: '/creating-blocks/' },
          { text: 'Examples', link: '/creating-blocks/examples' },
        ]
      }
    ]
  }
});
